GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Data Structures | Namespaces | Functions
proto_utils.h File Reference
`#include <type_traits>`
`#include <grpc/grpc.h>`
`#include <grpc++/impl/serialization_traits.h>`
`#include <grpc++/config_protobuf.h>`
`#include <grpc++/status.h>`

Go to the source code of this file.

## Data Structures
class | grpc::SerializationTraits< T, typename std::enable_if< std::is_base_of< grpc::protobuf::Message, T >::value >::type >

## Namespaces
| grpc

## Functions
Status | grpc::SerializeProto (const grpc::protobuf::Message &msg, grpc_byte_buffer **buffer)
Status | grpc::DeserializeProto (grpc_byte_buffer *buffer, grpc::protobuf::Message *msg, int max_message_size)